Skip to main content
Wallets are stores of assets that can be owned by customers or the system.

Properties

string
required
Unique identifier for the wallet
string
required
Type of the wallet (e.g., “customer” or “system”)
string
required
Current status of the wallet (open, suspended, closed)
string
required
Timestamp of wallet creation
string
required
Timestamp of last wallet update
string
required
Unique address of the wallet
number
required
ID of the project the wallet belongs to
Balance[]
required
Array of balance objects for different currencies
Transaction[]
required
Array of recent transactions for the wallet

Endpoints

Create Wallet

POST /wallets/create/

List Customer Wallets

Retrieve a list of customer wallets.

List System Wallets

Retrieve a list of system wallets.

Get Wallet Details

Get details of a specific wallet.

Change Wallet Status

Change the status of a wallet. For detailed information on request/response formats and examples, please refer to the API Reference.